array_length(3)

NAME
array_length - get number of allocated members in array

SYNTAX
#include <array.h> int64 array_length(array* x,uint64 membersize);
  array x;
  int64 members = array_length(&x,sizeof(t));

DESCRIPTION
array_length returns the number of initialized bytes in x, divided by the size of t. In other words, array_get will succeed for positions 0 through array_length-1; it will fail for position array_length. If x is unallocated, array_length and array_bytes return 0.

SEE ALSO
array_allocate(3), array_get(3), array_fail(3), array_bytes(3)